cmake_minimum_required(VERSION 3.14)

project(ao-play-async LANGUAGES C)

set(CMAKE_CXX_STANDARD 17)
set(CMAKE_CXX_STANDARD_REQUIRED ON)

add_library(ao-play-async SHARED
    ao_playasync.c
    ao_playasync.h
)


target_link_libraries(ao-play-async PRIVATE ao)
target_compile_definitions(ao-play-async PRIVATE AOPLAYASYNC_LIBRARY)
